Package it.ernytech.tdlib

## Class TdApi.PhotoSize

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.PhotoSize

Enclosing class:
  TdApi

    public static class TdApi.PhotoSize
    extends TdApi.Object

Photo description.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `height` Photo height.
`TdApi.File` `photo` Information about the photo file.
`java.lang.String` `type` Thumbnail type (see https://core.telegram.org/constructor/photoSize).
`int` `width` Photo width.

### Constructor Summary

Constructors
`PhotoSize()` Default constructor.
`PhotoSize​(java.lang.String type, TdApi.File photo, int width, int height)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### type

    public java.lang.String type

Thumbnail type (see https://core.telegram.org/constructor/photoSize).

#### photo

    public TdApi.File photo

Information about the photo file.

#### width

    public int width

Photo width.

#### height

    public int height

Photo height.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### PhotoSize

    public PhotoSize()

Default constructor.

#### PhotoSize

    public PhotoSize​(java.lang.String type,
                     TdApi.File photo,
                     int width,
                     int height)

Constructor for initialization of all fields.

Parameters:
  `type` - Thumbnail type (see https://core.telegram.org/constructor/photoSize).
  `photo` - Information about the photo file.
  `width` - Photo width.
  `height` - Photo height.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR